Get a list of all accessible alert definitions
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3 \
--header 'Authorization: <api-key>'{
"alertDefs": [
{
"alertDefProperties": {
"flow": {
"enforceSuppression": true,
"stages": [
{
"flowStagesGroups": {
"groups": [
{
"alertDefs": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"not": true
}
]
}
]
},
"timeframeMs": "<string>"
}
]
},
"activeOn": {
"dayOfWeek": [
"DAY_OF_WEEK_MONDAY_OR_UNSPECIFIED",
"DAY_OF_WEEK_TUESDAY"
],
"endTime": {
"hours": 14,
"minutes": 30
},
"startTime": {
"hours": 14,
"minutes": 30
}
},
"dataSources": [
{
"dataSet": "<string>",
"dataSpace": "<string>"
}
],
"deleted": false,
"description": "Alert description",
"enabled": true,
"entityLabels": {},
"groupByKeys": [
"key1",
"key2"
],
"incidentsSettings": {
"minutes": 30
},
"name": "My Alert",
"notificationGroup": {
"destinations": [
{
"connectorId": "connector_id_example",
"presetId": "preset_id_example",
"resolvedRouteOverrides": {
"configOverrides": {
"connectorConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"messageConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"payloadType": "slack_raw, slack_structured, pagerduty_triggered, pagerduty_resolved, generic_https_default"
}
},
"retriggeringPeriodMinutes": 600,
"triggeredRoutingOverrides": {
"configOverrides": {
"connectorConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"messageConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"payloadType": "slack_raw, slack_structured, pagerduty_triggered, pagerduty_resolved, generic_https_default"
}
}
}
],
"groupByKeys": [
"key1",
"key2"
],
"router": {
"id": "123e4567-e89b-12d3-a456-426614174000"
},
"webhooks": [
{
"integration": {
"integrationId": 123
},
"minutes": 15
}
]
},
"notificationGroupExcess": [
{
"destinations": [
{
"connectorId": "connector_id_example",
"presetId": "preset_id_example",
"resolvedRouteOverrides": {
"configOverrides": {
"connectorConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"messageConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"payloadType": "slack_raw, slack_structured, pagerduty_triggered, pagerduty_resolved, generic_https_default"
}
},
"retriggeringPeriodMinutes": 600,
"triggeredRoutingOverrides": {
"configOverrides": {
"connectorConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"messageConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"payloadType": "slack_raw, slack_structured, pagerduty_triggered, pagerduty_resolved, generic_https_default"
}
}
}
],
"groupByKeys": [
"key1",
"key2"
],
"router": {
"id": "123e4567-e89b-12d3-a456-426614174000"
},
"webhooks": [
{
"integration": {
"integrationId": 123
},
"minutes": 15
}
]
}
],
"phantomMode": false
},
"alertVersionId": "<string>",
"createdTime": "2023-10-01T12:00:00.000Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"lastTriggeredTime": "2023-10-01T12:00:00.000Z",
"updatedTime": "2023-10-01T12:00:00.000Z"
}
],
"pagination": {
"nextPageToken": "<string>",
"totalSize": 123
}
}Alert Definitions Service
Get a list of all accessible alert definitions
Returns all alert definitions for the team.
Requires the following permissions:
alerts:ReadConfig
Get a list of all accessible alert definitions
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3 \
--header 'Authorization: <api-key>'{
"alertDefs": [
{
"alertDefProperties": {
"flow": {
"enforceSuppression": true,
"stages": [
{
"flowStagesGroups": {
"groups": [
{
"alertDefs": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"not": true
}
]
}
]
},
"timeframeMs": "<string>"
}
]
},
"activeOn": {
"dayOfWeek": [
"DAY_OF_WEEK_MONDAY_OR_UNSPECIFIED",
"DAY_OF_WEEK_TUESDAY"
],
"endTime": {
"hours": 14,
"minutes": 30
},
"startTime": {
"hours": 14,
"minutes": 30
}
},
"dataSources": [
{
"dataSet": "<string>",
"dataSpace": "<string>"
}
],
"deleted": false,
"description": "Alert description",
"enabled": true,
"entityLabels": {},
"groupByKeys": [
"key1",
"key2"
],
"incidentsSettings": {
"minutes": 30
},
"name": "My Alert",
"notificationGroup": {
"destinations": [
{
"connectorId": "connector_id_example",
"presetId": "preset_id_example",
"resolvedRouteOverrides": {
"configOverrides": {
"connectorConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"messageConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"payloadType": "slack_raw, slack_structured, pagerduty_triggered, pagerduty_resolved, generic_https_default"
}
},
"retriggeringPeriodMinutes": 600,
"triggeredRoutingOverrides": {
"configOverrides": {
"connectorConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"messageConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"payloadType": "slack_raw, slack_structured, pagerduty_triggered, pagerduty_resolved, generic_https_default"
}
}
}
],
"groupByKeys": [
"key1",
"key2"
],
"router": {
"id": "123e4567-e89b-12d3-a456-426614174000"
},
"webhooks": [
{
"integration": {
"integrationId": 123
},
"minutes": 15
}
]
},
"notificationGroupExcess": [
{
"destinations": [
{
"connectorId": "connector_id_example",
"presetId": "preset_id_example",
"resolvedRouteOverrides": {
"configOverrides": {
"connectorConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"messageConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"payloadType": "slack_raw, slack_structured, pagerduty_triggered, pagerduty_resolved, generic_https_default"
}
},
"retriggeringPeriodMinutes": 600,
"triggeredRoutingOverrides": {
"configOverrides": {
"connectorConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"messageConfigFields": [
{
"fieldName": "description",
"template": "template_example"
}
],
"payloadType": "slack_raw, slack_structured, pagerduty_triggered, pagerduty_resolved, generic_https_default"
}
}
}
],
"groupByKeys": [
"key1",
"key2"
],
"router": {
"id": "123e4567-e89b-12d3-a456-426614174000"
},
"webhooks": [
{
"integration": {
"integrationId": 123
},
"minutes": 15
}
]
}
],
"phantomMode": false
},
"alertVersionId": "<string>",
"createdTime": "2023-10-01T12:00:00.000Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"lastTriggeredTime": "2023-10-01T12:00:00.000Z",
"updatedTime": "2023-10-01T12:00:00.000Z"
}
],
"pagination": {
"nextPageToken": "<string>",
"totalSize": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key authentication
Query Parameters
Filter to apply to the list of alert definitions Filter configuration for alert defs
Show child attributes
Show child attributes
Pagination settings for the list of alert definitions
Show child attributes
Show child attributes
Ordering settings for the list of alert definitions List of fields to order alert definitions by
Show child attributes
Show child attributes
Was this page helpful?
⌘I